Package ru.nilsoft.tm

# Class TMCommand.receipt_types

java.lang.Object
ru.nilsoft.tm.TMCommand.receipt_types

Enclosing class:
  `TMCommand`

public static final class TMCommand.receipt_types extends Object
Типы чеков (смотри `TMCommand.CmdReceiptOpen(byte, java.lang.String, java.lang.String, java.lang.String, java.lang.String, byte, byte, java.lang.String, java.lang.String)`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `CORR_PURCHASE`
  Коррекция расхода.
  `static final byte`
  `CORR_REVERSE_PURCHASE`
  Коррекция возврата расхода.
  `static final byte`
  `CORR_REVERSE_SALE`
  Коррекция возврата прихода.
  `static final byte`
  `CORR_SALE`
  Коррекция прихода.
  `static final byte`
  `ONLINE_FLAG`
  Электронная форма чека.
  `static final byte`
  `PURCHASE`
  Расход.
  `static final byte`
  `REVERSE`
  Возврат прихода.
  `static final byte`
  `REVERSE_PURCHASE`
  Возврата расхода.
  `static final byte`
  `SALE`
  Приход.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `receipt_types()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SALE

    public static final byte SALE
    Приход.
    See Also:
      - Constant Field Values

  - ### REVERSE

    public static final byte REVERSE
    Возврат прихода.
    See Also:
      - Constant Field Values

  - ### PURCHASE

    public static final byte PURCHASE
    Расход.
    See Also:
      - Constant Field Values

  - ### REVERSE_PURCHASE

    public static final byte REVERSE_PURCHASE
    Возврата расхода.
    See Also:
      - Constant Field Values

  - ### CORR_SALE

    public static final byte CORR_SALE
    Коррекция прихода.
    See Also:
      - Constant Field Values

  - ### CORR_REVERSE_SALE

    public static final byte CORR_REVERSE_SALE
    Коррекция возврата прихода.
    See Also:
      - Constant Field Values

  - ### CORR_PURCHASE

    public static final byte CORR_PURCHASE
    Коррекция расхода.
    See Also:
      - Constant Field Values

  - ### CORR_REVERSE_PURCHASE

    public static final byte CORR_REVERSE_PURCHASE
    Коррекция возврата расхода.
    See Also:
      - Constant Field Values

  - ### ONLINE_FLAG

    public static final byte ONLINE_FLAG
    Электронная форма чека.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### receipt_types

    public receipt_types()